Skip to main content
PATCH
/
actions
/
v1
/
stored-actions
/
{stored_action_id}
Update a StoredAction
curl --request PATCH \
  --url https://api.zapier.com/actions/v1/stored-actions/{stored_action_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "connection_id": "019320ab-0000-7000-8000-abcdef012345",
    "selected_api": "SplitwiseCLIAPI@1.0.0",
    "action_key": "new_contact",
    "action_type": "read",
    "inputs": {
      "first_name": "John",
      "last_name": "Doe"
    }
  }
}
'
{
  "type": "stored_action",
  "id": "01932123-02ea-01fc-3fbd-4d66d944064d",
  "connection_id": "019320ab-0000-7000-8000-abcdef012345",
  "selected_api": "SplitwiseCLIAPI@1.0.0",
  "action_key": "new_contact",
  "action_type": "read",
  "inputs": {
    "first_name": "John",
    "last_name": "Doe"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Path Parameters

stored_action_id
string<uuid>
required

Body

application/json
data
object

The shape of the payload representing the fields available to update a StoredAction.

You should delete your existing StoredAction and create a new record if you need to change either the connection_id or the selected_api.

Response

A StoredAction record was successfully updated.

The shape of a payload representing a stored action record.

id
string<uuid>
required

The UUID id that identifies this stored action and can be used to execute the stored procedure by calling the POST /stored-actions/{stored_action_id}/run endpoint.

connection_id
string<uuid>

UUID identifying the connection to use when executing a Stored Action.

selected_api
string

Something like SlackAPI (for Python apps) or SplitwiseCLIAPI@1.0.0 (for CLI apps). Non-public apps are fine as long as the authed user can access them. If a version is included we attempt to use that version of the integration. If no version is provided we attempt to use the latest version of the integration

action_key
string

Name of the action in the integration. Such as new_contact.

action_type
enum<string>

Specifies the type of action in the integration since some integrations could have similarly named actions with different actions types

  • read - Read
  • read_bulk - Read Bulk
  • write - Write
  • run - Run
  • search - Search
  • search_or_write - Search Or Write
  • search_and_write - Search And Write
  • filter - Filter
Available options:
read,
read_bulk,
write,
run,
search,
search_or_write,
search_and_write,
filter
inputs
any
default:{}

Key/value pairs that the action needs to execute. In the example of SlackAPI this could be something like {"channel": "ABC", "text": "my message"}

type
string
default:stored_action

Specifies the resource type, as required by the JSON:API specification.